Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
addrinfo Struct Reference

`#include <addrinfo.h>`

## Data Fields
int | ai_flags
int | ai_family
int | ai_socktype
int | ai_protocol
size_t | ai_addrlen
char * | ai_canonname
struct sockaddr * | ai_addr
struct addrinfo * | ai_next

## Detailed Description

Definition at line 131 of file addrinfo.h.

## Field Documentation

## ◆ ai_addr

struct sockaddr* addrinfo::ai_addr

Definition at line 138 of file addrinfo.h.

Referenced by rb_freeaddrinfo().

## ◆ ai_addrlen

size_t addrinfo::ai_addrlen

Definition at line 136 of file addrinfo.h.

## ◆ ai_canonname

char* addrinfo::ai_canonname

Definition at line 137 of file addrinfo.h.

Referenced by freeaddrinfo().

## ◆ ai_family

int addrinfo::ai_family

Definition at line 133 of file addrinfo.h.

Referenced by rsock_addrinfo().

## ◆ ai_flags

int addrinfo::ai_flags

Definition at line 132 of file addrinfo.h.

Referenced by rsock_addrinfo().

## ◆ ai_next

struct addrinfo* addrinfo::ai_next

Definition at line 139 of file addrinfo.h.

Referenced by freeaddrinfo(), and rb_freeaddrinfo().

## ◆ ai_protocol

int addrinfo::ai_protocol

Definition at line 135 of file addrinfo.h.

## ◆ ai_socktype

int addrinfo::ai_socktype

Definition at line 134 of file addrinfo.h.

Referenced by rsock_addrinfo().

The documentation for this struct was generated from the following file:

- ext/socket/addrinfo.h